Bug 188811 - CVE-2006-0748 Table Rebuilding Code Execution Vulnerability
CVE-2006-0748 Table Rebuilding Code Execution Vulnerability
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:36 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 12:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:36:56 EDT
Table Rebuilding Code Execution Vulnerability


TippingPoint  and  the Zero Day Initiative reports that an invalid and
non-sensical ordering of table-related tags causes Mozilla to use a negative
array index. This invalid memory use can be exploited to run code of the
attacker's choice.

Workaround

Upgrade to fixed version.

Although JavaScript is not involved in the vulnerability itself, disabling
JavaScript may prevent an attacker from effectively preparing memory in
order to carry out the exploit.

References

[1]ZDI-06-010
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=328937
CVE-2006-0478


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:48:26 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 12:36:22 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.